%global pypi_name docker-pycreds
# the test suite is diabled b/c it needs docker-credential-secretservice binary
# and we don't have that now (Sep 2016) in Fedora
%bcond_with tests

Name:           python3-%{pypi_name}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Python bindings for the docker credentials store API

License:        ASL 2.0
URL:            https://github.com/shin-/dockerpy-creds/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


%description
Python bindings for the docker credentials store API


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Python bindings for the docker credentials store API
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
%endif # tests
Requires:       python%{python3_pkgversion}-six


%description -n python%{python3_pkgversion}-%{pypi_name}
Python bindings for the docker credentials store API


%prep
%autosetup -n %{pypi_name}-%{version}


%build
%py3_build


%install
%py3_install


%check
# sanity test
%{__python3} -c "import dockerpycreds"
%if %{with tests}
PYTHONPATH="${PWD}" py.test-%{python3_version} -vv tests/
%endif # tests


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/dockerpycreds
%{python3_sitelib}/docker_pycreds-%{version}-py?.?.egg-info


%changelog
* Wed Dec 27 2017 Carl George <carl@george.computer> - 0.2.1-1
- Initial EPEL7 package
